Skip to main content
GET
/
api
/
v1
/
quizzes
/
{id}
Get a quiz
curl --request GET \
  --url https://quizquail.com/api/v1/quizzes/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "description": "<string>",
    "status": "<string>",
    "intro_subtitle": "<string>",
    "outro_text": "<string>",
    "question_duration_seconds": 123,
    "answer_duration_seconds": 123,
    "fact_duration_seconds": 123,
    "hint_timing_percent": 123,
    "resolution": "<string>",
    "platform_profile": "<string>",
    "theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your key with Bearer in the Authorization header.

Keys follow the format qq_... and can be scoped to specific permissions.

Path Parameters

id
string<uuid>
required

Resource UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Quiz with rounds and questions

data
object
required